/*
 * Copyright 1999-2004 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * CVS $Id: MetaService.java,v 1.5 2004/02/08 02:43:02 vgritsenko Exp $
 */

package org.apache.xindice.client.xmldb.services;

import org.apache.xindice.client.xmldb.CommonConfigurable;
import org.apache.xindice.client.xmldb.XindiceCollection;
import org.apache.xindice.core.meta.MetaData;

import org.xmldb.api.base.Collection;
import org.xmldb.api.base.Service;
import org.xmldb.api.base.XMLDBException;

/**
 * Meta information service.
 *
 * @author <a href="mailto:vgritsenko@apache.org">Vadim Gritsenko</a>
 * @version CVS $Revision: 1.5 $, $Date: 2004/02/08 02:43:02 $
 */
public class MetaService extends CommonConfigurable implements Service {

    /**
     * Collection that this query service should query in
     */
    private Collection collection;

    public String getVersion() {
        return "1.0";
    }

    public String getName() {
        return "MetaService";
    }

    public void setCollection(Collection collection) {
        this.collection = collection;
    }

    public MetaData getMetaData() throws XMLDBException {
        return ((XindiceCollection) collection).getMetaData(null);
    }

    public void setMetaData(MetaData meta) throws XMLDBException {
        ((XindiceCollection) collection).setMetaData(null, meta);
    }

    public MetaData getMetaData(String id) throws XMLDBException {
        return ((XindiceCollection) collection).getMetaData(id);
    }

    public void setMetaData(String id, MetaData meta) throws XMLDBException {
        ((XindiceCollection) collection).setMetaData(id, meta);
    }

    public long getLastModifiedTime() throws XMLDBException {
        return ((XindiceCollection) collection).getMetaData(null).getLastModifiedTime();
    }

    public long getCreatedTime() throws XMLDBException {
        return ((XindiceCollection) collection).getMetaData(null).getCreatedTime();
    }

    public long getLastModifiedTime(String name) throws XMLDBException {
        return ((XindiceCollection) collection).getMetaData(name).getLastModifiedTime();
    }

    public long getCreatedTime(String name) throws XMLDBException {
        return ((XindiceCollection) collection).getMetaData(name).getCreatedTime();
    }
}
