/*
 * Copyright 1999-2004 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * CVS $Id: DBException.java,v 1.7 2004/02/08 02:51:06 vgritsenko Exp $
 */

package org.apache.xindice.core;

import org.apache.xindice.util.XindiceException;

/**
 * A DBException is thrown by the database if an exception occurs in the
 * managing (creating, dropping) database objects such as Collections,
 * Indexes, and XMLObjects.
 *
 * @version CVS $Revision: 1.7 $, $Date: 2004/02/08 02:51:06 $
 */
public class DBException extends XindiceException {
    public int faultCode;

    public DBException() {
        this(FaultCodes.GEN_UNKNOWN, "", null);
    }

    public DBException(int faultCode) {
        this(faultCode, "", null);
    }

    public DBException(int faultCode, String message) {
        this(faultCode, message, null);
    }

    public DBException(int faultCode, String message, Throwable cause) {
        super(message, cause);
        this.faultCode = faultCode;
    }
}
