/*
 * Copyright 1999-2004 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * CVS $Id: BTreeNotFoundException.java,v 1.6 2004/02/08 02:49:45 vgritsenko Exp $
 */

package org.apache.xindice.core.filer;

import org.apache.xindice.core.FaultCodes;

/**
 * A BTreeNotFoundException is thrown by the BTree if a Value
 * can't be found in the BTree.
 *
 * @version CVS $Revision: 1.6 $, $Date: 2004/02/08 02:49:45 $
 */
public final class BTreeNotFoundException extends BTreeException {
    public BTreeNotFoundException() {
        super(FaultCodes.IDX_VALUE_NOT_FOUND);
    }

    public BTreeNotFoundException(String message) {
        super(FaultCodes.IDX_VALUE_NOT_FOUND, message);
    }

    public BTreeNotFoundException(String message, Throwable cause) {
        super(FaultCodes.IDX_VALUE_NOT_FOUND, message, cause);
    }
}
