/*
 * Copyright 1999-2004 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * CVS $Id: CannotCreateException.java,v 1.6 2004/02/08 02:50:21 vgritsenko Exp $
 */

package org.apache.xindice.core.indexer;

import org.apache.xindice.core.FaultCodes;

/**
 * A CannotCreateException is thrown if an Indexer cannot
 * be properly created in the server context for some reason.
 *
 * @version CVS $Revision: 1.6 $, $Date: 2004/02/08 02:50:21 $
 */
public final class CannotCreateException extends IndexerException {

    public CannotCreateException() {
        super(FaultCodes.IDX_CANNOT_CREATE);
    }

    public CannotCreateException(String message) {
        super(FaultCodes.IDX_CANNOT_CREATE, message);
    }

    public CannotCreateException(String message, Throwable cause) {
        super(FaultCodes.IDX_CANNOT_CREATE, message, cause);
    }
}
