/*
 * Copyright 1999-2004 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * CVS $Id: IndexQueryBWX.java,v 1.5 2004/02/08 02:50:21 vgritsenko Exp $
 */

package org.apache.xindice.core.indexer.helpers;

import org.apache.xindice.core.data.Value;
import org.apache.xindice.core.indexer.IndexPattern;
import org.apache.xindice.core.indexer.IndexQuery;

/**
 * IndexQueryBWX
 *
 * @version CVS $Revision: 1.5 $, $Date: 2004/02/08 02:50:21 $
 */
public final class IndexQueryBWX extends IndexQuery {

    public IndexQueryBWX(IndexPattern pattern, Value val1, Value val2) {
        super(pattern, BWX, val1, val2);
    }

    public IndexQueryBWX(IndexPattern pattern, String val1, String val2) {
        super(pattern, BWX, val1, val2);
    }

    public int getOperator() {
        return BWX;
    }

    public boolean testValue(Value value) {
        return value.compareTo(vals[0]) > 0 && value.compareTo(vals[1]) < 0;
    }
}

