/*
 * Copyright 1999-2004 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * CVS $Id: InlineMetaMap.java,v 1.4 2004/02/08 02:50:37 vgritsenko Exp $
 */

package org.apache.xindice.core.meta.inline;

/**
 * The inline meta data is a collection of name-value pairs.
 *
 * @version CVS $Revision: 1.4 $, $Date: 2004/02/08 02:50:37 $
 */
public interface InlineMetaMap {

    /**
     * Return <code>true</code> if the map contains the
     * specified key.
     */
    boolean containsKey(String key);

    /**
     * Return the value associated with the specified key.
     */
    Object get(String key) throws InlineMetaException;

    /**
     * Returns an array containing the keys found in the map.
     */
    String[] keys();

    /**
     * Set the value associated with the given key.
     */
    void put(String key, Object value) throws InlineMetaException;
}
