/*
 * Copyright 1999-2004 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * CVS $Id: NullWriter.java,v 1.5 2004/02/08 02:50:37 vgritsenko Exp $
 */

package org.apache.xindice.core.meta.inline;

/**
 * Write metadata of length zero.  Handy for comparing performance
 * of the metadata-free database with a database using the metadata
 * machinery but containing no metadata.
 *
 * @version CVS $Revision: 1.5 $, $Date: 2004/02/08 02:50:37 $
 */
public class NullWriter implements InlineMetaWriter {

    private static final byte[] NULL = new byte[0];

    /**
     * @see org.apache.xindice.core.meta.inline.InlineMetaWriter#getVersion()
     */
    public int getVersion() {
        return 0;
    }

    /**
     * @see org.apache.xindice.core.meta.inline.InlineMetaWriter#getMetadata(InlineMetaMap)
     */
    public byte[] getMetadata(InlineMetaMap map) throws InlineMetaException {
        return NULL;
    }
}
