/*
 * Copyright 1999-2004 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * CVS $Id: NodeListSet.java,v 1.7 2004/02/08 02:50:37 vgritsenko Exp $
 */

package org.apache.xindice.core.query;

import org.apache.xindice.core.data.NodeSet;
import org.apache.xindice.xml.dom.DBNode;
import org.w3c.dom.NodeList;

/**
 * NodeListSet is a simple NodeList wrapper
 *
 * @version CVS $Revision: 1.7 $, $Date: 2004/02/08 02:50:37 $
 */
public final class NodeListSet implements NodeSet {

    public NodeList list;
    public int idx = 0;


    public NodeListSet(NodeList list) {
        this.list = list;
    }

    public boolean hasMoreNodes() {
        return (idx < list.getLength());
    }

    public Object getNextNode() {
        DBNode n = (DBNode) list.item(idx++);
        if (n != null) {
            n.expandSource();
        }
        return n;
    }
}
