/*
 * Copyright 1999-2004 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * CVS $Id: XindiceStreamHandler.java,v 1.6 2004/02/08 02:50:54 vgritsenko Exp $
 */

package org.apache.xindice.core.request;

import java.net.URL;
import java.net.URLConnection;
import java.net.URLStreamHandler;

/**
 * XindiceStreamHandler handler that knows how to handle Xindice URL instances
 *
 * @version CVS $Revision: 1.6 $, $Date: 2004/02/08 02:50:54 $
 */
public class XindiceStreamHandler extends URLStreamHandler {

    /**
     * Returns a URLConnection object that represents a connection to the
     * remote object referred to by the URL.
     */
    protected URLConnection openConnection(URL u) {
        return new URIMapper(u);
    }
}
