/*
 * Copyright 1999-2004 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * CVS $Id: Signatures.java,v 1.4 2004/02/08 03:50:13 vgritsenko Exp $
 */

package org.apache.xindice.xml;

/**
 * Signatures defines identifying values for the types that the Xindice DOM
 * recognizes.
 *
 * @version CVS $Revision: 1.4 $, $Date: 2004/02/08 03:50:13 $
 */
public interface Signatures {
    static final int Unknown = -1;

    static final int False = 0x0;
    static final int True = 0x1;

    static final int NoContent = 0x0;
    static final int IntContent = 0x1;
    static final int ShortContent = 0x2;
    static final int ByteContent = 0x3;

    static final int Char = 0x0;
    static final int Elem = 0x1;
    static final int Proc = 0x2;
    static final int Decl = 0x3;

    static final int CharText = 0x0;
    static final int CharEntity = 0x1;

    static final int EntUnknown = 0x0;  // This should not happen
    static final int EntDefined = 0x1;  // Symbol_ID attached
    static final int EntAmp = 0x2;      // &amp;
    static final int EntLt = 0x3;       // &lt;
    static final int EntGt = 0x4;       // &gt;
    static final int EntQuot = 0x5;     // &quot;
    static final int EntApos = 0x6;     // &apos;
    static final int EntUnicode = 0x1F; // &#x...;

    static final int DeclElement = 0x1;
    static final int DeclAttList = 0x2;
    static final int DeclCData = 0x4;
    static final int DeclReplaced = 0x5;
    static final int DeclEntity = 0x6;
    static final int DeclComment = 0x8;
    static final int DeclDocType = 0xA;
    static final int DeclNotation = 0xC;
    static final int DeclIgnore = 0xE;
    static final int DeclInclude = 0xF;
}
