/*
 * Copyright 1999-2004 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * CVS $Id: UnitTests.java,v 1.19 2004/02/08 03:57:16 vgritsenko Exp $
 */

package org.apache.xindice;

import org.apache.xindice.client.xmldb.DatabaseImplTest;
import org.apache.xindice.client.xmldb.ResourceIteratorImplTest;
import org.apache.xindice.core.filer.Filer;
import org.apache.xindice.core.filer.FilerTestBase;
import org.apache.xindice.core.meta.MetaTest;
import org.apache.xindice.tools.XMLToolsTest;
import org.apache.xindice.util.ConfigurationTest;

import junit.framework.Test;
import junit.framework.TestSuite;
import junit.textui.TestRunner;

/**
 * @version CVS $Revision: 1.19 $, $Date: 2004/02/08 03:57:16 $
 * @author Vladimir R. Bossicard <vladimir@apache.org>
 * @author Kimbro Staken <kstaken@xmldatabases.org>
 */
public class UnitTests {

    public static void main(String[] args) {
        TestRunner.run(UnitTests.suite());
    }

    public static Test suite() {
        TestSuite suite = new TestSuite("Xindice unit tests");

        // If the Berkeley filer was built in then test it too.
        try {
            Class filerClass = Class.forName("org.apache.xindice.core.filer.BerkeleyBTreeFiler");
            Filer filer = (Filer) filerClass.newInstance();
            suite.addTest(new FilerTestBase("BerkeleyFilerTestCase", filer));
        } catch (Exception e) {
            // If the class wasn't built just ignore it.
        }

        return suite;
    }
}
