/*
 * Copyright 1999-2004 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * CVS $Id: XmlDbClientSetup.java,v 1.8 2004/02/24 03:22:45 vgritsenko Exp $
 */

package org.apache.xindice.integration.client;

import junit.framework.Test;
import junit.framework.TestSuite;
import junitx.extensions.TestSetup;

/**
 * @version CVS $Revision: 1.8 $, $Date: 2004/02/24 03:22:45 $
 * @author Vladimir R. Bossicard <vladimir@apache.org>
 */
public class XmlDbClientSetup extends TestSetup {

    public static final String INSTANCE_NAME = "db";
    public static final String TEST_COLLECTION_NAME = "testing";

    private XmlDbClient client;

    public XmlDbClientSetup(Test test,
                            XmlDbClient client) {
        super(test);
        this.client = client;
    }

    public void setUp() throws Exception {

        this.client.createCollection(INSTANCE_NAME, TEST_COLLECTION_NAME);

        // now we set all tests with the client
        // we have an TestSuite of TestSuite of AbstractXmlDbClientTest :-)
        TestSuite suite = (TestSuite) fTest;
        for (int ii = 0; ii < suite.testCount(); ii++) {
            TestSuite subSuite = (TestSuite) suite.testAt(ii);
            for (int jj = 0; jj < subSuite.testCount(); jj++) {
                Object obj = subSuite.testAt(jj);
                if (obj instanceof AbstractXmlDbClientTest) {
                    AbstractXmlDbClientTest test = (AbstractXmlDbClientTest) obj;
                    test.setXmlDbClient(this.client);
                }
            }
        }
    }

    public void tearDown() throws Exception {
        this.client.dropCollection(INSTANCE_NAME, TEST_COLLECTION_NAME);
    }
}
